#ifndef LIBKATRIN_DROP_INC
#define LIBKATRIN_DROP_INC

#include <stdio.h>
#include <unistd.h>

#include "def.h"
#include "utils/utils.h"
#include "conf/conf.h"
#include "module/module_api.h"

enum actionType { Drop = 1, Enable, Warn, Report };

int set_abonents_access(struct abonentslist *al, enum accountState state);
int set_client_access(struct client *c, struct service *s, enum accountState state);
int set_clientgroup_access(struct clientgroup *g, struct service *s, enum accountState state);
static int do_action(enum abonentType atype, struct paramlist *params, struct service *s, enum actionType action);

#endif


