#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "cmd2argv.h"
#include "utils.h"


#define MAX_ARG_LEN		100
#define MAX_ARG_COUNT		20
#define MALLOC_ARGV_ITEM(j)	new_argv[j] = (char *) malloc(MAX_ARG_LEN); new_argv[j][0] = '\0';

char ** cmd2argv(char *cmd) {
	int i = 0;
	int j = -1;
	char **new_argv = (char **) malloc(MAX_ARG_COUNT*sizeof(char *));
	size_t len = strlen(cmd);
	int l = 0;
	for (i = 0; i <= len; i++) {
		if (cmd[i] == ' ') {
			j++;
			MALLOC_ARGV_ITEM(j);
		}
		else {
			if (j == -1) {
				j++;
				MALLOC_ARGV_ITEM(j);
			}
			l = strlen(new_argv[j]);
			new_argv[j][l] = cmd[i];
			l++;
			new_argv[j][l] = '\0';
		}
	}
	j++;
	new_argv[j] = NULL;

	debug("captured argv[%d]:", j);
	for (i=0; i < j; i++) {
		debug("%d: %s", i, new_argv[i]);
	}

	return new_argv;
}

