#ifndef UTILS_TRAFF_INC
#define UTILS_TRAFF_INC

#include <stdio.h>
#include <stdlib.h>
#include <netinet/in.h>
#include <arpa/inet.h>

struct network {
	u_long mask;
	u_long name;
};

struct network_list {
	struct network net;
	struct network_list *next;
};

struct network_list *get_network_list(char *network_list_str);
void free_network_list(struct network_list *nl);
int check_ip_in_list(u_long ip, struct network_list *nl);

#endif
