#ifndef LIBKATRIN_TI_NETFLOW_INC
#define LIBKATRIN_TI_NETFLOW_INC
#include <sys/types.h>
#include <netinet/in.h>

#define FLOW_BUFFER_SIZE 1024

struct flow_header {
	u_int16_t		 ver, count;
	u_int32_t		 up_time, cur_time_s, cur_time_n, sequence;
	u_int8_t		  trash[4];
};
struct flow {
	struct in_addr  src_addr, dst_addr, next_addr;
	u_int16_t	   mib_in, mib_out;
	u_int32_t	   pkts, bytes, ts_first, ts_last;
	u_int16_t		 src_port, dst_port;
	u_int8_t		  pad, tcp_flags, proto, tos;
	u_int16_t		 src_as, dst_as;
	u_int8_t		  trash[4];
};
#endif

