#ifndef _KATRIN_MODULE_API_H_
#define _KATRIN_MODULE_API_H_

#include "module.h"

enum module_type {
	DB,
	BZ,
	INFO
};

extern db_module db;

int add_module(enum module_type type, const char* name, ...);
void remove_all_info_modules();
bz_module *get_bz_module(const char* name);
static void *katrin_dlsym(void *handle, const char *symbol);

#endif


